"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureHydrateText = exports.hydrateText = void 0;
var utils_1 = require("./utils");
var defaultVariableBorders = {
    start: '{',
    end: '}',
};
var emptyVariableBorders = {
    start: '',
    end: '',
};
exports.hydrateText = function (text, variables, customVariableBorders) {
    if (variables === void 0) { variables = {}; }
    var _a = customVariableBorders
        ? __assign(__assign({}, emptyVariableBorders), customVariableBorders) : defaultVariableBorders, start = _a.start, end = _a.end;
    return Object.entries(variables).reduce(function (result, _a) {
        var key = _a[0], value = _a[1];
        if (utils_1.isNil(value)) {
            return result;
        }
        var regExpSource = utils_1.escapeRegExp("" + start + key + end);
        var regExp = new RegExp(regExpSource, 'g');
        return result.replace(regExp, String(value));
    }, text);
};
exports.configureHydrateText = function (variableBorders) { return function (text, variables, customVariableBorders) { return exports.hydrateText(text, variables, customVariableBorders || variableBorders); }; };
