"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNil = exports.escapeRegExp = void 0;
/**
  * Used to match `RegExp`
  * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
*/
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reHasRegExpChar = RegExp(reRegExpChar.source);
exports.escapeRegExp = function (value) {
    var string = String(value !== null && value !== void 0 ? value : '');
    if (!string || !reHasRegExpChar.test(string)) {
        return string;
    }
    return string.replace(reRegExpChar, '\\$&');
};
exports.isNil = function (value) { return value == null; };
