import { escapeRegExp, isNil } from './utils';
const defaultVariableBorders = {
    start: '{',
    end: '}',
};
const emptyVariableBorders = {
    start: '',
    end: '',
};
export const hydrateText = (text, variables = {}, customVariableBorders) => {
    const { start, end } = customVariableBorders
        ? Object.assign(Object.assign({}, emptyVariableBorders), customVariableBorders) : defaultVariableBorders;
    return Object.entries(variables).reduce((result, [key, value]) => {
        if (isNil(value)) {
            return result;
        }
        const regExpSource = escapeRegExp(`${start}${key}${end}`);
        const regExp = new RegExp(regExpSource, 'g');
        return result.replace(regExp, String(value));
    }, text);
};
export const configureHydrateText = variableBorders => (text, variables, customVariableBorders) => hydrateText(text, variables, customVariableBorders || variableBorders);
